Subject: bug#11807: (Windows XP issue?) Re: bug#11807: M-x display-time-world & EDT/DST

From: Eli Zaretskii <[email-masked]>
Date: Sat, 30 Jun 2012 09:13:19 +0300

> From: Jambunathan K <[email-masked]>
> Cc: Eli Zaretskii <[email-masked]>,  [email-masked],  [email-masked]
> Date: Sat, 30 Jun 2012 11:13:08 +0530
> 
> Till such time as a right fix is found, the command has to be either
> selectively disabled or a warning issued to the user saying that some
> sort of DST adjustment might have to be made by the user himself.

It works fine on my XP system.  If you can find out why it doesn't on
yours, or confirm Jason's suspicion that it misbehaves on any Windows
box set for a timezone without DST rules, please do.  Failing that,
you are free not to use that command.  It's a toy command, anyway,
IMO.

But disabling a command that works for many users sounds too drastic
to me.

> Having a command report incorrect values is not a good idea.

Patches are more than welcome.  Thanks in advance.